package com.iformall.domain.vo;

import java.io.Serializable;
import java.text.DecimalFormat;
/**
 * 会员结构vo
 * @author jinguo
 *
 */
public class UserStructureVo implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 6780570955120276660L;
	//名称
	private String name;
	//数量
	private long count;
	//百分比
	private String percentage;
	//序号
	private Integer sortNum;
	
	private Integer price;
	
	private String priceStr;
	
	public Integer getPrice() {
		return price;
	}
	public void setPrice(Integer price) {
		this.price = price;
	}
	public String getPriceStr() {
		if(price!=null) {
			DecimalFormat df=new DecimalFormat("0.00");
			priceStr = df.format((float)price/100);
		}
		return priceStr;
	}
	public void setPriceStr(String priceStr) {
		this.priceStr = priceStr;
	}
	public Integer getSortNum() {
		return sortNum;
	}
	public void setSortNum(Integer sortNum) {
		this.sortNum = sortNum;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public long getCount() {
		return count;
	}
	public void setCount(long count) {
		this.count = count;
	}
	public String getPercentage() {
		return percentage;
	}
	public void setPercentage(String percentage) {
		this.percentage = percentage;
	}
	
	

}
